Loading...
Searching...
No Matches
Hardware registry
Internal API functions

Structures to maintain a record of the available hardware and its configuration state. More...

Collaboration diagram for Hardware registry:

## Classes

struct | VPBHANDLE
| Lookup table element for mapping vpb handles to a port on boardnum. More...
struct | VPBREG
| The DSP program "registry" info for each board. More...
class | HostDSP
| Base class for host processor based card types. More...
class | VPBRegister

## Macros

#define | MAXCH 32
| max channels per VPB
#define | RX 0x1
| channel receiving speech
#define | TX 0x2
| channel transmitting speech
#define | DD_PCI 2
| PCI driver.
#define | DD_PRI 4
| OpenPri driver.
#define | DD_VTCORE 5
| VTCore card driver.

## Detailed Description

Structures to maintain a record of the available hardware and its configuration state.